-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.34-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema test
--

CREATE DATABASE IF NOT EXISTS test;
USE test;

--
-- Definition of table `account`
--

DROP TABLE IF EXISTS `account`;
CREATE TABLE `account` (
  `id` int(11) NOT NULL,
  `accountType` varchar(255) DEFAULT NULL,
  `balance` double NOT NULL,
  `CUSTOMER_ID` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_pwwefr4ufjg47tnmk773i4uta` (`CUSTOMER_ID`),
  CONSTRAINT `FK_pwwefr4ufjg47tnmk773i4uta` FOREIGN KEY (`CUSTOMER_ID`) REFERENCES `customer` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `account`
--

/*!40000 ALTER TABLE `account` DISABLE KEYS */;
INSERT INTO `account` (`id`,`accountType`,`balance`,`CUSTOMER_ID`) VALUES 
 (1,'C',430.5,1),
 (2,'C',-99,2),
 (3,'C',123.65,3),
 (4,'C',23,4),
 (5,'S',5200,4);
/*!40000 ALTER TABLE `account` ENABLE KEYS */;


--
-- Definition of table `customer`
--

DROP TABLE IF EXISTS `customer`;
CREATE TABLE `customer` (
  `id` int(11) NOT NULL,
  `firstName` varchar(255) DEFAULT NULL,
  `lastName` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `customer`
--

/*!40000 ALTER TABLE `customer` DISABLE KEYS */;
INSERT INTO `customer` (`id`,`firstName`,`lastName`) VALUES 
 (1,'SIMON','KING'),
 (2,'JANE','KING'),
 (3,'JAMES','PAGE'),
 (4,'EDWARD','COOK');
/*!40000 ALTER TABLE `customer` ENABLE KEYS */;


--
-- Definition of table `customer_account`
--

DROP TABLE IF EXISTS `customer_account`;
CREATE TABLE `customer_account` (
  `Customer_id` int(11) NOT NULL,
  `accounts_id` int(11) NOT NULL,
  UNIQUE KEY `UK_64pwb7l6btjocehh3w6ypncaf` (`accounts_id`),
  KEY `FK_64pwb7l6btjocehh3w6ypncaf` (`accounts_id`),
  KEY `FK_aqp9mfef7d8eoov3anhu9tx65` (`Customer_id`),
  CONSTRAINT `FK_aqp9mfef7d8eoov3anhu9tx65` FOREIGN KEY (`Customer_id`) REFERENCES `customer` (`id`),
  CONSTRAINT `FK_64pwb7l6btjocehh3w6ypncaf` FOREIGN KEY (`accounts_id`) REFERENCES `account` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `customer_account`
--

/*!40000 ALTER TABLE `customer_account` DISABLE KEYS */;
INSERT INTO `customer_account` (`Customer_id`,`accounts_id`) VALUES 
 (1,1),
 (2,2),
 (3,3),
 (4,4),
 (4,5);
/*!40000 ALTER TABLE `customer_account` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
